<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RHB URUS eForm</title>
    <link rel="shortcut icon" href="https://www.rhbgroup.com/rhb.ico">
    <link rel="stylesheet" href="./css/style.css">
    <script src="/vue.min.js"> </script>
    <script src="/axios.min.js"> </script>
    <script src="/moment.min.js"> </script>
    <script src='/v-calendar.umd.min.js'></script>
    <script src="https://www.google.com/recaptcha/api.js" async defer></script>
</head>

<body id="urus-eform">
    <div id="urus-eform-app" class="page-wrapper">
        <div class="container">
            <div class="form-heading">
                <h1>RHB eForm</h1>
            </div>
            <div v-if="!ready" class="loading-screen">
                <svg class="spinner" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512">
                    <path
                        d="M304 48c0 26.51-21.49 48-48 48s-48-21.49-48-48 21.49-48 48-48 48 21.49 48 48zm-48 368c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48zm208-208c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48zM96 256c0-26.51-21.49-48-48-48S0 229.49 0 256s21.49 48 48 48 48-21.49 48-48zm12.922 99.078c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48c0-26.509-21.491-48-48-48zm294.156 0c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48c0-26.509-21.49-48-48-48zM108.922 60.922c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.491-48-48-48z"
                        fill="#555555" />
                </svg>
                <span :class="{ hidden: !isSlow }">This is taking longer than expected. Please check your internet
                    connection.</span>
            </div>
            <div class="form-body" v-if="ready">
                <div class="form-sections">
                    <hr>
                    <div class="section-wrapper" v-for="item in sections" :key="item.title"
                        v-bind:class="{ active: item.isActive }">
                        <div class="section-num-wrapper">
                            <div class="section-num">{{ item.id }}</div>
                        </div>
                        <div class="section-name-wrapper">
                            <p>{{ item.title }}</p>
                        </div>
                    </div>
                </div>
                <form class="section" v-for="(fields, i1) in form" v-if="activeSection == fields.id - 1"
                    :key="fields.id">
                    <!-- Standard form -->
                    <div v-for="(item, i2) in fields.fields" :key="">
                        <div class="form-important" v-if=item.important>
                            <p>{{item.important}}</p>
                        </div>
                        <div class="form-row">
                            <label for="">{{ item.label }}</label>
                            <input type="text" v-bind:name="item.name" v-if="item.type == 'text'" v-model="item.value"
                                :id="item.name" :required="item.isRequired ? true : false"
                                v-on:input="checkInput(event); formValidation(0)"
                                v-on:invalid="showErrorMessage(item.errMsg, event)"
                                :pattern="item.regex ? item.regex : '(.*?)'">
                            <input type="email" v-bind:name="item.name" v-if="item.type == 'email'" v-model="item.value"
                                :required="item.isRequired ? true : false"
                                v-on:input="checkInput(event); formValidation(0)"
                                v-on:invalid="showErrorMessage(item.errMsg, event)"
                                pattern="(?:[a-zA-Z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-zA-Z0-9!#$%&'*+/=?^_`{|}~-]+)*|'(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*')@(?:(?:[a-zA-Z0-9](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?\.)+[a-zA-Z0-9](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?|\[(?:(?:(2(5[0-5]|[0-4][0-9])|1[0-9][0-9]|[1-9]?[0-9]))\.){3}(?:(2(5[0-5]|[0-4][0-9])|1[0-9][0-9]|[1-9]?[0-9])|[a-zA-Z0-9-]*[a-zA-Z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])">
                            <input type="number" v-bind:name="item.name" v-if="item.type == 'num'" v-model="item.value"
                                :required="item.isRequired ? true : false"
                                v-on:input="checkInput(event); formValidation(0)"
                                v-on:invalid="showErrorMessage(item.errMsg, event)"
                                :pattern="item.regex ? item.regex : '(.*?)'">
                            <input type="number" v-bind:name="item.name" v-if="item.type == 'tel'" v-model="item.value"
                                :required="item.isRequired ? true : false"
                                v-on:input="checkInput(event); formValidation(0)"
                                v-on:invalid="showErrorMessage(item.errMsg, event)"
                                :pattern="item.regex ? item.regex : '(.*?)'">
                            <input type="date" v-if="item.type == 'date'" @click="showDate = !showDate" v-model="date"
                                :required="item.isRequired ? true : false" v-on:input="formValidation(0)"
                                v-on:invalid="showErrorMessage(item.errMsg, event)">
                            <input type="file" v-bind:name="item.name" v-if="item.type == 'file'"
                                @change="updateFilename(i1,i2)" :required="item.isRequired ? true : false">
                            <select v-if="item.type == 'dropdown'" name="" id="" v-model="item.value"
                                :required="item.isRequired ? true : false"
                                @change="item.name == 'rhb-urus-state' ? setState(item.value) : ''; item.name == 'rhb-urus-id-select' ? setIDRegex(item.value) : ''"
                                v-on:input="formValidation(0)">
                                <option value="" disabled selected>
                                    {{item.defaultOption ? item.defaultOption : "--Please select--"}}</option>
                                <!-- Regular -->
                                <option v-bind:value=option.id v-for="option in item.options"
                                    v-if="item.name != 'rhb-urus-city'">{{option.name}}
                                </option>
                                <!-- City only -->
                                <option v-bind:value=option.id v-for="option in item.options"
                                    v-if="item.name == 'rhb-urus-city'">
                                    {{option.name}}
                                </option>
                            </select>
                            <div class="hybrid-input" v-if="item.type == 'hybrid-select'">
                                <select name="" class="short-select" v-model="item.status"
                                    :required="item.isRequired ? true : false">
                                    <option value="" disabled selected>
                                        --Please select--</option>
                                    <option value="1">Yes</option>
                                    <option value="0">No</option>
                                </select>
                                <div>
                                    <label :for="item.name" v-if="item.status == 1">Upload</label>
                                    <input type="file" :id="item.name" v-if="item.status == 1" :name="item.name"
                                        :required="item.isRequired == 1 ? true : false"
                                        @change="updateFilename(event, i1,i2)">
                                    <p>{{item.fileName}}</p>
                                </div>
                            </div>
                            <div class="hybrid-input" v-if="item.type == 'hybrid-number'">
                                <input type="number" v-model="item.value" :required="item.isRequired ? true : false"
                                    v-on:input="checkInput(event); formValidation(0)"
                                    v-on:invalid="showErrorMessage(item.errMsg, event)">
                                <div>
                                    <input type="file" :id="item.name" :required="item.hasFile ? false : true"
                                        @change="updateFilename(event, i1,i2)">
                                    <label :for="item.name">Upload</label>
                                    <p>{{item.fileName}}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Loan Details -->
                    <div class="loan-details-wrapper" v-if="fields.isLoanDetails">
                        <div class="form-important">
                            <p>{{fields.bankLabel}}</p>
                        </div>
                        <div class="loan-details-title">
                            <p v-for="title in fields.bankTitles">{{title.title}}</p>
                        </div>
                        <div class="loan-details-row" v-for="i in fields.bankCount" :key="">
                            <!-- RHB banks only -->
                            <select name="" id="" v-if="i == 1" v-model=fields.bankLoans[i-1].bankId
                                :required="i == 1 ? true : false">
                                <option value="" disabled selected>--Please select--</option>
                                <option :value=option.id v-for="option in fields.defaultBanks">{{option.name}}
                                </option>
                            </select>
                            <!-- All banks -->
                            <select name="" id="" v-model=fields.bankLoans[i-1].bankId
                                :required="fields.isRequired ? true : false" v-if="i != 1">
                                <option value="" disabled selected>--Please select--</option>
                                <option :value=option.id v-for="option in fields.banks">{{option.name}}
                                </option>
                            </select>
                            <select v-model=fields.bankLoans[i-1].facilityId name="" id=""
                                :required="fields.isRequired ? true : false">
                                <option value="" disabled selected>--Please select--</option>
                                <option :value=option.id v-for="option in fields.facilities">
                                    {{option.name}}
                                </option>
                            </select>
                            <input type="text" v-model=fields.bankLoans[i-1].accountNumber
                                :required="fields.isRequired ? true : false">
                        </div>
                        <div class="button-row">
                            <button v-if="fields.bankCount != 1" type="button" @click="removeLoanRow('bankLoan')">
                                <span>Remove row</span>
                                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512">
                                    <path
                                        d="M400 288h-352c-17.69 0-32-14.32-32-32.01s14.31-31.99 32-31.99h352c17.69 0 32 14.3 32 31.99S417.7 288 400 288z" />
                                </svg>
                            </button>
                            <button type="button" @click="addLoanRow('bankLoan')">
                                <span>Add row</span>
                                <svg aria-hidden="true" focusable="false" data-prefix="far" data-icon="plus" role="img"
                                    xmlns="http://www.w3.org/2000/svg" viewBox="0 0 384 512"
                                    class="svg-inline--fa fa-plus fa-w-12 fa-3x">
                                    <path fill="currentColor"
                                        d="M368 224H224V80c0-8.84-7.16-16-16-16h-32c-8.84 0-16 7.16-16 16v144H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h144v144c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16V288h144c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16z"
                                        class=""></path>
                                </svg>
                            </button>
                        </div>
                        <div class="form-important">
                            <p>{{fields.otherLabel}}</p>
                        </div>
                        <div class="loan-details-title">
                            <p v-for="title in fields.otherTitles">{{title.title}}</p>
                        </div>
                        <div class="loan-details-row" v-for="i in fields.otherCount" :key="">
                            <input type="text" v-model=fields.otherLoans[i-1].lender>
                            <select v-model=fields.otherLoans[i-1].facilityId name="" id="">
                                <option value="" disabled selected>--Please select--</option>
                                <option :value=option.id v-for="option in fields.facilities">
                                    {{option.name}}
                                </option>
                            </select>
                            <input type="number" v-model=fields.otherLoans[i-1].amount>
                        </div>
                        <div class="button-row">
                            <button v-if="fields.otherCount != 1" type="button" @click="removeLoanRow('otherLoan')">
                                <span>Remove row</span>
                                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512">
                                    <path
                                        d="M400 288h-352c-17.69 0-32-14.32-32-32.01s14.31-31.99 32-31.99h352c17.69 0 32 14.3 32 31.99S417.7 288 400 288z" />
                                </svg>
                            </button>
                            <button type="button" @click="addLoanRow('otherLoan')">
                                <span>Add row</span>
                                <svg aria-hidden="true" focusable="false" data-prefix="far" data-icon="plus" role="img"
                                    xmlns="http://www.w3.org/2000/svg" viewBox="0 0 384 512"
                                    class="svg-inline--fa fa-plus fa-w-12 fa-3x">
                                    <path fill="currentColor"
                                        d="M368 224H224V80c0-8.84-7.16-16-16-16h-32c-8.84 0-16 7.16-16 16v144H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h144v144c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16V288h144c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16z"
                                        class=""></path>
                                </svg>
                            </button>
                        </div>
                        <div>
                            <div class="form-important" v-if=fields.package.important>
                                <p>{{fields.package.important}}</p>
                            </div>
                            <div class="form-row">
                                <label for="">{{ fields.package.label }}</label>
                                <select name="" id="" v-model="fields.package.value"
                                    :required="fields.package.isRequired ? true : false" v-on:input="formValidation(0)">
                                    <option value="" disabled selected>--Please select--</option>
                                    <!-- Regular -->
                                    <option v-bind:value=option.id v-for="option in fields.package.options">
                                        {{option.name}}
                                    </option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <!-- Disclaimer -->
                    <div class="disclaimer-section" v-if="fields.isCaptcha">
                        <p class="section-title">{{fields.title}}</p>
                        <label v-bind:for="checkbox.title" v-for="checkbox in fields.checkboxes">
                            <div class="checkbox-row">
                                <input v-bind:id="checkbox.title" type="checkbox"
                                    :required="checkbox.isRequired ? true : false" v-on:input="formValidation(0)">
                                <p v-bind:class="{ highlighted: checkbox.isHighlighted == 1 }">{{checkbox.title}}</p>
                            </div>
                            <ul>
                                <li v-for="item in checkbox.disclaimers">{{item.text}}</li>
                            </ul>
                        </label>
                    </div>
                    <div class="success-section" v-if="fields.isSuccess">
                        <h1>{{fields.title}}</h1>
                        <p v-for="item in fields.body">{{item.message}}</p>
                    </div>
                    <div class="success-section" v-if="activeSection == 5">
                        <h1>{{fields.title}}</h1>
                        <p v-for="item in fields.body">{{item.message}}</p>
                    </div>
                </form>
                <div class="button-row">
                    <button id="prev-btn" @click="prevSection"
                        v-bind:class="{ hidden: this.activeSection == 0 || this.activeSection >= 4 }">Back</button>
                    <button id="next-btn" :class="{ disabled: !this.sectionComplete }"
                        @click="nextSection">{{this.activeSection == 3 ? "Submit" : "Next" && this.activeSection >= 4 ? "Done" : "Next"}}</button>
                </div>
            </div>
        </div>
        <div class="modal" v-if="showDate">
            <div class="date-picker-wrapper">
                <v-date-picker class="date-picker" v-model="date"></v-date-picker>
                <div class="button-row">
                    <button @click="showDate = 0">Apply</button>
                </div>
            </div>
        </div>
    </div>
    <div id='recaptcha' class="g-recaptcha" data-callback="validateCaptcha"
        data-sitekey="6LcoRcseAAAAADbCusHq_FIxavYUR0iQgWQSpKYf" data-size="invisible"></div>
</body>
<!-- <script src="https://cdn.jsdelivr.net/npm/vue@2.6.14/dist/vue.js"></script>
                        -->
<!-- <script src="https://cdn.jsdelivr.net/npm/vue@2.6.14/dist/vue.min.js"></script> -->

<script src="./script.js"></script>

</html>